<?php

namespace Drupal\ckeditor_resize\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "Resize" plugin.
 *
 * @CKEditorPlugin(
 *   id = "resize",
 *   label = @Translation("Resize")
 * )
 */
class CKEditorResize extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return 'libraries/ckeditor/plugins/resize/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'Resize' => [
        'label' => t('Resize'),
        'image' => '',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
